$('#form-salud').submit(function(e){
    e.preventDefault();
    $.ajax({
        url: url_salud_post,
        type: "POST",
        data: $('#form-salud').serialize(),
        beforeSend: function(){
            App.blockUI({
                target: "#tab2",
                message: "Cargando..."
            })
        },
        success: function(data){
            swal("Listo",data.success, "success");
        },
        error: function(){
            swal("Error","No se actualizo la informacion", "error");
        },
        complete: function(){
            App.unblockUI("#tab2");
        }
    })
});
$.ajax({
    url: url_salud_get+"?q="+id,
    success: function(data){
        var user = data[0];
        try {
            $("input[name='id_salud']").val(user.id);
            if($('#saludid').val() == '') {
                $("input[name='saludid']").val(user.id_usuario);
            }
            $("input[name='alergias']").val(user.alergias);
            $("input[name='antecedentes']").val(user.antecedentes);
            $("input[name='otrasvacunas']").val(user.otrasvacunas);
            $("input[name='enfpapa']").val(user.enfpapa);
            $("input[name='enfmama']").val(user.enfmama);
            $("input[name='enfhmno']").val(user.enfhmno);
            $("input[name='enfotros']").val(user.enfotros);
            $("#tabaco").val(user.tabaco);
            $("#alcohol").val(user.alcohol);
            $("#desayuno").val(user.desayuno);
            $("#almuerzo").val(user.almuerzo);
            $("#cena").val(user.cena);
            if(user.hepa){ $("#hepa").prop('checked', true); }
            if(user.hepb){ $("#hepb").prop('checked', true); }
            if(user.tetano){ $("#tetano").prop('checked', true); }
            if(user.difteria){ $("#difteria").prop('checked', true); }
            if(user.tbc){ $("#tbc").prop('checked', true); }
            if(user.influenza){ $("#influenza").prop('checked', true); }
        }catch(err){
            App.unblockUI("#tab2");
        }
    },
    beforeSend: function(){
        App.blockUI({
            target: "#tab2",
            message: "Cargando..."
        })
    },
    complete: function(){
        App.unblockUI("#tab2");
    }
})